function IoTstar()
{
  this.CheckIP = function(that){IoTstar.prototype._CheckIP_(that);};
  this.CheckPort = function(that){IoTstar.prototype._CheckPort_(that);};
  this.CheckAccount = function(that){IoTstar.prototype._CheckAccount_(that);};
  this.CheckPassword = function(that){IoTstar.prototype._CheckPassword_(that);};
  this.CheckNickname = function(that){IoTstar.prototype._CheckNickname_(that);};
  this.CheckDeviceName = function(that){IoTstar.prototype._CheckDeviceName_(that);};
  var AllDataIsCorrect = function(){return IoTstar.prototype._AllDataIsCorrect_();};
  var Collect_IoTstar_Data = function(){return IoTstar.prototype._Collect_IoTstar_Data_();};
  var Transmission_IoTstar_Data = function(that, array){IoTstar.prototype._Transmission_IoTstar_Data_(that, array);};
  this.SaveData = function(that){IoTstar.prototype._SaveData_(that);};
  var GetUiData = function(FilePath){return IoTstar.prototype._GetUiData_(FilePath);};
  this.ShowUi = function(){IoTstar.prototype._ShowUi_();};

  this.StartIoTstar = function(that){IoTstar.prototype._StartIoTstar_(that);};
  this.StopIoTstar = function(that){IoTstar.prototype._StopIoTstar_(that);};
  this.GetIoTstarStatus = function(){return IoTstar.prototype._GetIoTstarStatus_();};
}